Package com.databend.jdbc.cloud

# Class DatabendStage.Builder

java.lang.Object
com.databend.jdbc.cloud.DatabendStage.Builder

Enclosing class:
  `DatabendStage`

public static class DatabendStage.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`DatabendStage`
`build()`
`DatabendStage.Builder`
`externalLocationS3(ExternalLocationS3 externalLocationS3)`
`DatabendStage.Builder`
`path(String path)`
`DatabendStage.Builder`
`stageName(String stageName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### stageName

public DatabendStage.Builder stageName(String stageName)

### path

public DatabendStage.Builder path(String path)

### externalLocationS3

public DatabendStage.Builder externalLocationS3(ExternalLocationS3 externalLocationS3)

### build

public DatabendStage build()